List Voice Dictionaries
curl --request GET \
--url https://api.tryhamsa.com/v1/voice-agents/voice-dictionaries/list \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v1/voice-agents/voice-dictionaries/list"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v1/voice-agents/voice-dictionaries/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"dictionaries": [
{
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
"name": "Medical Terms Dictionary",
"wordsCount": 25,
"isUsed": true,
"createdAt": "2024-01-15T10:30:00Z"
}
],
"total": 100,
"page": 1,
"pageSize": 10
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Dictionaries
List Voice Dictionaries
Retrieves a paginated list of voice dictionaries.
GET
/
v1
/
voice-agents
/
voice-dictionaries
/
list
List Voice Dictionaries
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Query Parameters
Number of items to skip (pagination).
Example:
1
Number of items to take (pagination).
Example:
10
Optional search text, applied to dictionary names.
Example:
"Medical"
Filter by whether the dictionary is actively used by a voice agent.
Example:
true
Filter by voice agent ID.
Example:
"48f7656f-098b-4c43-b165-7cfd2cc8ac30"
Was this page helpful?
⌘I